--- snespp.c.orig	2007-11-15 00:48:35.000000000 +0100
+++ snespp.c	2007-11-15 00:52:15.000000000 +0100
@@ -233,7 +233,7 @@
 	char			*buffer;
 
 	if ((error = snespp_request_ppbus(sc->device, PPB_DONTWAIT)) != 0)
-		kthread_exit(error);
+		kproc_exit(error);
 
 	snespp_updatebuffer(sc);
 
@@ -241,7 +241,7 @@
 	tsleep(curthread->td_proc, PWAIT | PCATCH, SNESPP_NAME "wait",
 	       (hz / SNESPP_POLL_HZ) + 1);
 
-	kthread_suspend_check(snespp_eventq_proc);
+	kproc_suspend_check(snespp_eventq_proc);
 	if (!sc->eventq_active)
 		break;
 
@@ -319,7 +319,7 @@
     } /* main loop */
 
 	snespp_release_ppbus(sc->device);
-	kthread_exit(0);
+	kproc_exit(0);
 }
 
 int
@@ -331,7 +331,7 @@
 		return 0;
 
 	sc->eventq_active = 1;
-	error = kthread_create(snespp_updateeventq, (void *)sc,
+	error = kproc_create(snespp_updateeventq, (void *)sc,
 			       &snespp_eventq_proc, 0, 0, SNESPP_NAME "eventq");
 	
 	return (error);
